Subject: read-buffer-completion-ignore-case needs third possibility

From: Dan Jacobson <[email-masked]>
Date: Fri, 11 Oct 2024 04:49:20 +0800

read-buffer-completion-ignore-case is a variable defined in ‘C source code’.
   Its value is t
   Original value was nil
   Non-nil means completion ignores case when reading a buffer name.

OK, but there should be a third mode, different than just non-nil, that
says that if the user has especially typed a capital letter (taken the
trouble to hold down the SHIFT keyboard key) then that should be
case sensitive. Else we see:

In this buffer, type RET to select the completion near point.
2 possible completions:                                                                    `
Makefile
maps.html
-UUU:%*- F1  *Completions*   All  L1     (Completion List) -
Switch to buffer (default maps.html): Ma<TAB>